Subject: Re: Deleting incoming network packets / sk_buff

From: Michael Renzmann <[email-masked]>
Date: Sun, 15 Aug 2004 20:57:21 +0200

Hi.

Ben Greear wrote:
>> Bottom line: the easiest way to solve this problem would be to have 
>> some way for blocking packets on eth1 from being processed (after they 
>> have been passed to the packet socket - else my userspace program 
>> won't be able to "bridge" incoming packets to tap0).
> Can't you have no IP on eth1 and have your IP on tap0 instead?  That would
> at least keep any pkts received on eth1 from being processed by the
> IP stack.

This is infact what I have done. The result is still that every packet 
will be dup'ed - which can be seen for example when pinging from that 
host, every reply is shown twice (and ping says "DUP" for every reply).

Bye, Mike